Bug 91734 - New port: security/bioapi
Summary: New port: security/bioapi
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-13 01:10 UTC by Fredrik Lindberg
Modified: 2006-01-15 12:40 UTC (History)
0 users

See Also:


Attachments
bioapi (19.46 KB, text/plain)
2006-01-13 01:10 UTC, Fredrik Lindberg
no flags Details
bioapi.uuencode (26.86 KB, text/plain)
2006-01-14 23:51 UTC, Fredrik Lindberg
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fredrik Lindberg 2006-01-13 01:10:03 UTC
BioAPI (Biometric Application Programming Interface) brings platform and 
device independence to application programmers and biometric service providers.
Comment 1 Sergey Matveychuk freebsd_committer 2006-01-14 22:52:53 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Resend the shar-archive please. This one has broken patch:

===>  Applying FreeBSD patches for bioapi-1.2.2
1 out of 1 hunks failed--saving rejects to
framework/bioapi_util/memfuncs.c.rej
=> Patch patch-framework-bioapi_util-memfuncs.c failed to apply cleanly.
=> Patch(es) patch-apps-NonGUI_Sample-Makefile.in
patch-apps-mod_install-install.c applied cleanly.
*** Error code 1

And use USE_BZIP2=yes instead of EXTRACT_SUFX=.tar.bz2

- --
Dixi.
Sem.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (FreeBSD)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFDyYDFTclL2LcfYF0RApCVAJ4pKu9VPfhQfKZnZxeh+8AQnRPoWwCgoHXB
KRoZXWlHpwQazo1m96CgXdA=
=skQG
-----END PGP SIGNATURE-----
Comment 2 Fredrik Lindberg 2006-01-14 23:51:03 UTC
Sergey Matveychuk wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Resend the shar-archive please. This one has broken patch:
> 
> ===>  Applying FreeBSD patches for bioapi-1.2.2
> 1 out of 1 hunks failed--saving rejects to
> framework/bioapi_util/memfuncs.c.rej
> => Patch patch-framework-bioapi_util-memfuncs.c failed to apply cleanly.
> => Patch(es) patch-apps-NonGUI_Sample-Makefile.in
> patch-apps-mod_install-install.c applied cleanly.
> *** Error code 1
> 
> And use USE_BZIP2=yes instead of EXTRACT_SUFX=.tar.bz2
> 

The original source contains ^M, they are intact in the shar archive but
probably got corrupted by send-pr.
I've attached a uuencoded version of the shar archive.

Fredrik Lindberg
Comment 3 Pav Lucistnik freebsd_committer 2006-01-15 09:29:25 UTC
State Changed
From-To: open->closed

New port added with modifications.
Comment 4 Fredrik Lindberg 2006-01-15 12:31:49 UTC
Sergey Matveychuk wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Fredrik Lindberg wrote:
> 
>>The original source contains ^M, they are intact in the shar archive but
>>probably got corrupted by send-pr.
>>I've attached a uuencoded version of the shar archive.
> 
> 
> Tabulations in Makefile looks bad, I'll fix them.
> 
> I have two questions about the port.
> 1) Why so strict restriction: >= 6.0 to build? May be a problem may be
> fixed with USE_GCC=3.4?
I can't get it to compile on FreeBSD < 6.0, even using GCC 3.4.4.
The code quality of this library is quite bad so I guess it will
require even more patching to fix it.

> 2) If it's not official bioapi branch, may be it should be reflected in
> port name (with some suffix)?
Well, maybe. But this is the de-facto version people are using and it's
acctually the official version + alot of bugfixes only.
Even companies providing BSP modules (Biometric Service Providers, ie
biometric backends) are recommending the use of this version.
Hopefully the BioAPI Consortium will release a better 2.0 version soon.


> 
> - --
> Dixi.
> Sem.
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.2 (FreeBSD)
> Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org
> 
> iD8DBQFDyjOWTclL2LcfYF0RAsnwAJ9zkpojEHw1Hm8uICy1jyj4XeGhdACfVOvJ
> NB5ammezyvvLyZdbUA8Izhs=
> =m7/v
> -----END PGP SIGNATURE-----